/* ====================================================================
 *  Copyright 2003-2004 Paul Querna
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 * ====================================================================
 */

/**
 * Author: Paul Querna <chip force-elite.com>
 *
 *  Originaly Based on mod_mysql_pool by Nick Kew:
 *    http://apache.webthing.com/
 *
 * $Id: mod_dbi_pool.h 207 2004-06-19 22:23:34Z chip $
 */

/**
 * mod_dbi_pool: manage a pool of libdbi connections.
 *
 * EXPORTS:
 *	dbi_conn *dbipool_open(conn_id* id)
 *		- retrieve a connection from the pool and check it's valid
 *		- May return null and log a message on error.
 *	void dbipool_close(conn_id* id, dbi_conn* conn)
 *		- return a connection to the pool after use
 *
 */

#include <dbi/dbi.h>

#ifndef _INCLUDE_MOD_DBI_POOL_H
#define _INCLUDE_MOD_DBI_POOL_H

typedef const char* conn_id;

dbi_conn *dbipool_open (conn_id id);

void dbipool_close (conn_id id, dbi_conn* conn);


#endif
